Add Product Image
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/products/{id}/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"alt_text": "<string>",
"position": 123
}
'{
"id": "<string>",
"url": "<string>",
"alt_text": "<string>",
"position": 123,
"width": 123,
"height": 123
}Admin - Products
Add Product Image
Registers an image URL. For file uploads, use the separate Media API.
POST
/
admin
/
products
/
{id}
/
images
Add Product Image
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/products/{id}/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"alt_text": "<string>",
"position": 123
}
'{
"id": "<string>",
"url": "<string>",
"alt_text": "<string>",
"position": 123,
"width": 123,
"height": 123
}Authorizations
API Key. Example: sk_live_xxxxx or pk_live_xxxxx
Path Parameters
Resource ID
⌘I